.container {
  display: flex;
  align-items: center;
  margin: 0 auto;
  max-width: 1280px;
  height: 100vh;
}
.water {
  background-image: url("../assets/Menu/water.png");
}
.boat {
  position: absolute;
  width: 15%;
  bottom: 1%;
  left: 7%;
  #player {
    position: absolute;
    top: 67%;
    left: 40%;
    z-index: 100;
  }
}
.map {
  width: 100%;
  position: relative;
  svg {
    position: absolute;
    top: 28%;
    left: 10%;
    width: 75%;
  }
  img {
    display: block;
    width: 100%;
  }

  $cross-width: 6px;
  $cross-height: 30px;
  $cross-color: red;
  button {
    position: absolute;
    cursor: pointer;
    &.btnlevel {
      display: block;
      width: $cross-width;
      height: $cross-height;
      border: none;
      background-color: $cross-color;
      padding-inline: 0;
      padding: 0;
      transform: rotate(45deg);
      &:before {
        content: "";
        display: block;
        width: $cross-width;
        height: $cross-height;
        background-color: $cross-color;
        position: absolute;
        top: 0;
        left: 0;
        transform: rotate(90deg);
      }
      &:after {
        content: "";
        display: block;
        width: 40px;
        height: 40px;
        position: absolute;
        top: -5px;
        left: -17px;
        z-index: -1;
      }
      &.disable {
        opacity: 0;
        pointer-events: none;
      }
    }
    &#level1 {
      top: 69%;
      left: 16%;
    }
    &#level2 {
      top: 33%;
      left: 32%;
    }
    &#level3 {
      top: 36%;
      left: 48%;
    }
    &#level4 {
      top: 49%;
      left: 66%;
    }
    &#level5 {
      top: 46%;
      left: 84%;
    }
    &#level6 {
      top: 70%;
      left: 54%;
    }
    &.coffre {
      display: block;
      width: 50px;
      height: 30px;
      border: none;
      background-color: unset;
      background-image: url("../assets/Menu/coffre_close.gif");
      background-size: contain;
      background-repeat: no-repeat;
      padding-inline: 0;
      padding: 0;
      transform: scaleX(-1);
      &.open {
        background-image: url("../assets/Menu/coffre_open.gif");
      }
      &.disable {
        opacity: 0;
        pointer-events: none;
      }
    }
    &#btnstart {
      display: block;
      margin: 0;
      padding: 0;
      bottom: 33%;
      left: 45%;
      transform: translateX(-50%);
      background: none;
      border: none;
      width: 12%;
      &::before {
        content: "";
        display: block;
        width: 100px;
        height: 70px;
        background-image: url("../assets/Menu/sword.gif");
        background-size: contain;
        background-repeat: no-repeat;
        position: absolute;
        top: -20%;
        left: 54%;
        transform: rotate(-90deg);
        z-index: -1;
        transition: 700ms;
      }
      &::after {
        content: "";
        display: block;
        width: 100px;
        height: 70px;
        background-image: url("../assets/Menu/sword.gif");
        background-size: contain;
        background-repeat: no-repeat;
        position: absolute;
        top: -20%;
        left: -16%;
        transform: scaleX(-1) rotate(-90deg);
        z-index: -1;
        transition: 700ms;
      }
      &.go {
        &::before {
          top: -40%;
          left: 19%;
          transform: rotate(-270deg);
        }
        &::after {
          top: -40%;
          left: 21%;
          transform: scaleX(-1) rotate(-270deg);
        }
      }
      img {
        width: 100%;
      }
      span {
        font-family: pirateFont;
        font-size: 30px;
        position: absolute;
        top: 30%;
        left: 50%;
        transform: translateX(-50%);
      }
    }
  }
}
